<?php

/**
 * NewsWrap About Page
 * @package NewsWrap
 *
*/

if( !class_exists('NewsWrap_About_page') ):

	class NewsWrap_About_page{

		function __construct(){

			add_action('admin_menu', array($this, 'newswrap_backend_menu'),999);

		}

		// Add Backend Menu
        function newswrap_backend_menu(){

            add_theme_page(esc_html__( 'NewsWrap Options','newswrap' ), esc_html__( 'NewsWrap Options','newswrap' ), 'activate_plugins', 'newswrap-about', array($this, 'newswrap_main_page'));

        }

        // Settings Form
        function newswrap_main_page(){

            require get_template_directory() . '/classes/about-render.php';

        }

	}

	new NewsWrap_About_page();

endif;